---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id: []
      tier: FALLBACK_DEFAULT
      value: 0.06
    brdf:
      alpha_1:
        band_1: 0.19199576234115068
        band_11: 0.1592868841981458
        band_12: 0.10889667647753194
        band_2: 0.19199576234115068
        band_3: 0.28069459355887383
        band_4: 0.1618411415200946
        band_5: 0.1618411415200946
        band_6: 0.1618411415200946
        band_7: 0.4702435695397477
        band_8: 0.4702435695397477
        band_8a: 0.4702435695397477
      alpha_2:
        band_1: 0.21629293009538922
        band_11: 0.2098298958688085
        band_12: 0.23919144735180792
        band_2: 0.21629293009538922
        band_3: 0.20817125759875751
        band_4: 0.23422128451569382
        band_5: 0.23422128451569382
        band_6: 0.23422128451569382
        band_7: 0.1579801565002745
        band_8: 0.1579801565002745
        band_8a: 0.1579801565002745
      id:
      - decf5c87-1e63-53eb-b6ef-3598bec61a55
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 3a5b2597-effc-53e6-b65f-cec584ee6a3e
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 486a209c-dc0c-5464-b717-a5270561d067
      tier: DEFINITIVE
      value: 5.8700000762939455
  id: f196d19a-6054-4fab-89c5-0ac3b50f2b8a
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1981.9553589188718
      BAND-11: 241.29209416930206
      BAND-12: 82.52344128009779
      BAND-2: 2025.949567524264
      BAND-3: 1896.9236327859978
      BAND-4: 1548.8390896234976
      BAND-5: 1429.777100813842
      BAND-6: 1304.6757186602777
      BAND-7: 1194.3571169028576
      BAND-8: 1057.8062818657436
      BAND-8A: 964.6362846286424
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2017-03-07 01:07:20.456000Z
    atime: 2022-05-26 12:36:21Z
    ctime: 2018-05-11 00:52:34Z
    mtime: 2017-03-07 18:27:09Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2A_MSIL1C_20170307T010721_N0204_R045_T53LPC_20170307T010720.zip
  system_information:
    hostname: gadi-cpu-clx-0899.gadi.nci.org.au
    runtime_id: 72f34da4-dcf0-11ec-ad87-0000018ffe80
    time_processed: 2022-05-26 12:36:22.032984Z
    uname: 'Linux gadi-cpu-clx-0899.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 30.0
    green: 141.0
    red: 27.0
    teal: 57.0
    yellow: 25.0
  error_message: no errors
  final_qa_count: 228
  granule: S2A_OPER_MSI_L1C_TL_SGS__20170307T023540_A008908_T53LPC_N02.04
  ref_date: '2013-07-28T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/102/071/LC81020712013209LGN00_B6.TIF
  residual:
    abs:
      x: 0.85
      xy: 1.31
      y: 1.0
    abs_iterative_mean:
      x: 0.37
      xy: 0.49
      y: 0.32
    cep90: 1.15
    iterative_mean:
      x: 0.25
      xy: 0.25
      y: -0.01
    iterative_stddev:
      x: 0.42
      xy: 0.64
      y: 0.48
    mean:
      x: 0.29
      xy: 0.44
      y: -0.34
    stddev:
      x: 1.59
      xy: 2.68
      y: 2.16
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 48.52025374832864
    cloud: 24.423628322401054
    cloud_shadow: 7.951194587940982
    snow: 5.991549464003105
    water: 13.11337387732622
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 54.041506166203824
    cloud: 45.95849383379617
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
